Back to top

API Documentation

< Back

Kuali Research REST APIs - Export Control

Research Export Control

Excon Intl Shipment Documents

Get Excon Intl Shipment Documents by Key
GET/excon/api/v1/excon-intl-shipment-documents/(key)

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Intl Shipment Documents
GET/excon/api/v1/excon-intl-shipment-documents/

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Intl Shipment Documents with Filtering
GET/excon/api/v1/excon-intl-shipment-documents/

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

documentNumber
string (optional) 

The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Intl Shipment Documents
GET/excon/api/v1/excon-intl-shipment-documents/

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "documentNumber"
  ],
  "primaryKey": "documentNumber"
}

Get Blueprint API specification for Excon Intl Shipment Documents
GET/excon/api/v1/excon-intl-shipment-documents/

Example URI

GET /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Intl Shipment Documents.md"
transfer-encoding: chunked

Update Excon Intl Shipment Documents
PUT/excon/api/v1/excon-intl-shipment-documents/(key)

Example URI

PUT /excon/api/v1/excon-intl-shipment-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Intl Shipment Documents
PUT/excon/api/v1/excon-intl-shipment-documents/

Example URI

PUT /excon/api/v1/excon-intl-shipment-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Intl Shipment Documents
PATCH/excon/api/v1/excon-intl-shipment-documents/(key)

Example URI

PATCH /excon/api/v1/excon-intl-shipment-documents/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Intl Shipment Documents
POST/excon/api/v1/excon-intl-shipment-documents/

Example URI

POST /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "documentNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Intl Shipment Documents
POST/excon/api/v1/excon-intl-shipment-documents/

Example URI

POST /excon/api/v1/excon-intl-shipment-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "documentNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Intl Shipment Documents by Key
DELETE/excon/api/v1/excon-intl-shipment-documents/(key)

Example URI

DELETE /excon/api/v1/excon-intl-shipment-documents/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Intl Shipment Documents
DELETE/excon/api/v1/excon-intl-shipment-documents/

Example URI

DELETE /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Excon Intl Shipment Documents with Matching
DELETE/excon/api/v1/excon-intl-shipment-documents/

Example URI

DELETE /excon/api/v1/excon-intl-shipment-documents/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

documentNumber
string (optional) 

The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Excon Intl Shipments

Get Excon Intl Shipments by Key
GET/excon/api/v1/excon-intl-shipments/(key)

Example URI

GET /excon/api/v1/excon-intl-shipments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "certificationInd": "(val)",
  "countryCode": "(val)",
  "receivingParty": "(val)",
  "restrictedCountry": "(val)",
  "restrictedExport": "(val)",
  "restrictedParty": "(val)",
  "rpsResultContent": "(val)",
  "sanctionListCode": "(val)",
  "shipmentDescription": "(val)",
  "shipmentId": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitName": "(val)",
  "unitNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Intl Shipments
GET/excon/api/v1/excon-intl-shipments/

Example URI

GET /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Intl Shipments with Filtering
GET/excon/api/v1/excon-intl-shipments/

Example URI

GET /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

exconIntlShipmentDocument.documentNumber
string (optional) 
applicantId
string (optional) 

Person ID. Maximum length is 40. Validating pattern is ^[A-Za-z0-9]*$.

applicantName
string (optional) 

Applicant Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

certificationInd
string (optional) 

Shipment Certification. Maximum length is 1. Validating pattern is .*.

countryCode
string (optional) 

Country Code. Maximum length is 3. Validating pattern is ^[\p{Graph}\p{Space}]*$.

receivingParty
string (optional) 

Receiving Party. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

restrictedCountry
string (optional) 

Restricted Country. Maximum length is 1. Validating pattern is .*.

restrictedExport
string (optional) 

Restricted Export. Maximum length is 1. Validating pattern is .*.

restrictedParty
string (optional) 

Restricted Party. Maximum length is 1. Validating pattern is .*.

rpsResultContent
string (optional) 
sanctionListCode
string (optional) 

Sanction List. Maximum length is 4. Validating pattern is .*.

shipmentDescription
string (optional) 

Shipment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

shipmentId
string (optional) 

Shipment ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

supervisorId
string (optional) 

Person ID. Maximum length is 40. Validating pattern is ^[A-Za-z0-9]*$.

supervisorName
string (optional) 

Supervisor Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

unitName
string (optional) 

Unit Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

unitNumber
string (optional) 

The lead unit number for the ExconProject. Maximum length is 8. Validating pattern is ^[\p{Graph}\p{Space}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Intl Shipments
GET/excon/api/v1/excon-intl-shipments/

Example URI

GET /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "exconIntlShipmentDocument.documentNumber",
    "applicantId",
    "applicantName",
    "certificationInd",
    "countryCode",
    "receivingParty",
    "restrictedCountry",
    "restrictedExport",
    "restrictedParty",
    "rpsResultContent",
    "sanctionListCode",
    "shipmentDescription",
    "shipmentId",
    "supervisorId",
    "supervisorName",
    "unitName",
    "unitNumber"
  ],
  "primaryKey": "shipmentId"
}

Get Blueprint API specification for Excon Intl Shipments
GET/excon/api/v1/excon-intl-shipments/

Example URI

GET /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Intl Shipments.md"
transfer-encoding: chunked

Update Excon Intl Shipments
PUT/excon/api/v1/excon-intl-shipments/(key)

Example URI

PUT /excon/api/v1/excon-intl-shipments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "certificationInd": "(val)",
  "countryCode": "(val)",
  "receivingParty": "(val)",
  "restrictedCountry": "(val)",
  "restrictedExport": "(val)",
  "restrictedParty": "(val)",
  "rpsResultContent": "(val)",
  "sanctionListCode": "(val)",
  "shipmentDescription": "(val)",
  "shipmentId": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitName": "(val)",
  "unitNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Intl Shipments
PUT/excon/api/v1/excon-intl-shipments/

Example URI

PUT /excon/api/v1/excon-intl-shipments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Intl Shipments
PATCH/excon/api/v1/excon-intl-shipments/(key)

Example URI

PATCH /excon/api/v1/excon-intl-shipments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "certificationInd": "(val)",
  "countryCode": "(val)",
  "receivingParty": "(val)",
  "restrictedCountry": "(val)",
  "restrictedExport": "(val)",
  "restrictedParty": "(val)",
  "rpsResultContent": "(val)",
  "sanctionListCode": "(val)",
  "shipmentDescription": "(val)",
  "shipmentId": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitName": "(val)",
  "unitNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Intl Shipments
POST/excon/api/v1/excon-intl-shipments/

Example URI

POST /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "exconIntlShipmentDocument.documentNumber": "(val)",
  "applicantId": "(val)",
  "applicantName": "(val)",
  "certificationInd": "(val)",
  "countryCode": "(val)",
  "receivingParty": "(val)",
  "restrictedCountry": "(val)",
  "restrictedExport": "(val)",
  "restrictedParty": "(val)",
  "rpsResultContent": "(val)",
  "sanctionListCode": "(val)",
  "shipmentDescription": "(val)",
  "shipmentId": "(val)",
  "supervisorId": "(val)",
  "supervisorName": "(val)",
  "unitName": "(val)",
  "unitNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Intl Shipments
POST/excon/api/v1/excon-intl-shipments/

Example URI

POST /excon/api/v1/excon-intl-shipments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconIntlShipmentDocument.documentNumber": "(val)",
    "applicantId": "(val)",
    "applicantName": "(val)",
    "certificationInd": "(val)",
    "countryCode": "(val)",
    "receivingParty": "(val)",
    "restrictedCountry": "(val)",
    "restrictedExport": "(val)",
    "restrictedParty": "(val)",
    "rpsResultContent": "(val)",
    "sanctionListCode": "(val)",
    "shipmentDescription": "(val)",
    "shipmentId": "(val)",
    "supervisorId": "(val)",
    "supervisorName": "(val)",
    "unitName": "(val)",
    "unitNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Intl Shipments by Key
DELETE/excon/api/v1/excon-intl-shipments/(key)

Example URI

DELETE /excon/api/v1/excon-intl-shipments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Intl Shipments
DELETE/excon/api/v1/excon-intl-shipments/

Example URI

DELETE /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Excon Intl Shipments with Matching
DELETE/excon/api/v1/excon-intl-shipments/

Example URI

DELETE /excon/api/v1/excon-intl-shipments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

exconIntlShipmentDocument.documentNumber
string (optional) 
applicantId
string (optional) 

Person ID. Maximum length is 40. Validating pattern is ^[A-Za-z0-9]*$.

applicantName
string (optional) 

Applicant Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

certificationInd
string (optional) 

Shipment Certification. Maximum length is 1. Validating pattern is .*.

countryCode
string (optional) 

Country Code. Maximum length is 3. Validating pattern is ^[\p{Graph}\p{Space}]*$.

receivingParty
string (optional) 

Receiving Party. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

restrictedCountry
string (optional) 

Restricted Country. Maximum length is 1. Validating pattern is .*.

restrictedExport
string (optional) 

Restricted Export. Maximum length is 1. Validating pattern is .*.

restrictedParty
string (optional) 

Restricted Party. Maximum length is 1. Validating pattern is .*.

rpsResultContent
string (optional) 
sanctionListCode
string (optional) 

Sanction List. Maximum length is 4. Validating pattern is .*.

shipmentDescription
string (optional) 

Shipment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

shipmentId
string (optional) 

Shipment ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

supervisorId
string (optional) 

Person ID. Maximum length is 40. Validating pattern is ^[A-Za-z0-9]*$.

supervisorName
string (optional) 

Supervisor Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

unitName
string (optional) 

Unit Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.

unitNumber
string (optional) 

The lead unit number for the ExconProject. Maximum length is 8. Validating pattern is ^[\p{Graph}\p{Space}]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Excon Project Associated Document Types

Get Excon Project Associated Document Types by Key
GET/excon/api/v1/excon-project-associated-document-types/(key)

Example URI

GET /excon/api/v1/excon-project-associated-document-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "assocDocTypeClassName": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Associated Document Types
GET/excon/api/v1/excon-project-associated-document-types/

Example URI

GET /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Associated Document Types with Filtering
GET/excon/api/v1/excon-project-associated-document-types/

Example URI

GET /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

assocDocTypeClassName
string (optional) 

Document Class Name. Maximum length is 100. Validating pattern is .*.

assocDocTypeCode
string (optional) 

Document Type Code. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

assocDocTypeName
string (optional) 

Document Type Name. Maximum length is 40. Validating pattern is .*.

assocDocTypeNumberAttr
string (optional) 

Document Type Id Attribute. Maximum length is 40. Validating pattern is .*.

returnsVals
string (optional) 

Return Values. Maximum length is 1. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Associated Document Types
GET/excon/api/v1/excon-project-associated-document-types/

Example URI

GET /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "assocDocTypeClassName",
    "assocDocTypeCode",
    "assocDocTypeName",
    "assocDocTypeNumberAttr",
    "returnsVals"
  ],
  "primaryKey": "assocDocTypeCode"
}

Get Blueprint API specification for Excon Project Associated Document Types
GET/excon/api/v1/excon-project-associated-document-types/

Example URI

GET /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Associated Document Types.md"
transfer-encoding: chunked

Update Excon Project Associated Document Types
PUT/excon/api/v1/excon-project-associated-document-types/(key)

Example URI

PUT /excon/api/v1/excon-project-associated-document-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "assocDocTypeClassName": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Associated Document Types
PUT/excon/api/v1/excon-project-associated-document-types/

Example URI

PUT /excon/api/v1/excon-project-associated-document-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Associated Document Types
PATCH/excon/api/v1/excon-project-associated-document-types/(key)

Example URI

PATCH /excon/api/v1/excon-project-associated-document-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "assocDocTypeClassName": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Associated Document Types
POST/excon/api/v1/excon-project-associated-document-types/

Example URI

POST /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "assocDocTypeClassName": "(val)",
  "assocDocTypeCode": "(val)",
  "assocDocTypeName": "(val)",
  "assocDocTypeNumberAttr": "(val)",
  "returnsVals": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Associated Document Types
POST/excon/api/v1/excon-project-associated-document-types/

Example URI

POST /excon/api/v1/excon-project-associated-document-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "assocDocTypeClassName": "(val)",
    "assocDocTypeCode": "(val)",
    "assocDocTypeName": "(val)",
    "assocDocTypeNumberAttr": "(val)",
    "returnsVals": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Associated Document Types by Key
DELETE/excon/api/v1/excon-project-associated-document-types/(key)

Example URI

DELETE /excon/api/v1/excon-project-associated-document-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Associated Document Types
DELETE/excon/api/v1/excon-project-associated-document-types/

Example URI

DELETE /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Excon Project Associated Document Types with Matching
DELETE/excon/api/v1/excon-project-associated-document-types/

Example URI

DELETE /excon/api/v1/excon-project-associated-document-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

assocDocTypeClassName
string (optional) 

Document Class Name. Maximum length is 100. Validating pattern is .*.

assocDocTypeCode
string (optional) 

Document Type Code. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

assocDocTypeName
string (optional) 

Document Type Name. Maximum length is 40. Validating pattern is .*.

assocDocTypeNumberAttr
string (optional) 

Document Type Id Attribute. Maximum length is 40. Validating pattern is .*.

returnsVals
string (optional) 

Return Values. Maximum length is 1. Validating pattern is .*.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Excon Project Associated Documents

Get Excon Project Associated Documents by Key
GET/excon/api/v1/excon-project-associated-documents/(key)

Example URI

GET /excon/api/v1/excon-project-associated-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "exconProject.projectId": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "assocDocTypeCode": "(val)",
  "projectAssocDocId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Associated Documents
GET/excon/api/v1/excon-project-associated-documents/

Example URI

GET /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Associated Documents with Filtering
GET/excon/api/v1/excon-project-associated-documents/

Example URI

GET /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

exconProject.projectId
string (optional) 
assocDocNumber
string (optional) 

Associated Document Identifier. Maximum length is 12. Validating pattern is .*.

assocDocTitle
string (optional) 

Associated Document Title. Maximum length is 200. Validating pattern is .*.

assocDocTypeCode
string (optional) 

Associated Document Type Code. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

projectAssocDocId
string (optional) 

Export Control Associated Document ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Associated Documents
GET/excon/api/v1/excon-project-associated-documents/

Example URI

GET /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "exconProject.projectId",
    "assocDocNumber",
    "assocDocTitle",
    "assocDocTypeCode",
    "projectAssocDocId",
    "projectNumber",
    "sequenceNumber"
  ],
  "primaryKey": "projectAssocDocId"
}

Get Blueprint API specification for Excon Project Associated Documents
GET/excon/api/v1/excon-project-associated-documents/

Example URI

GET /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Associated Documents.md"
transfer-encoding: chunked

Update Excon Project Associated Documents
PUT/excon/api/v1/excon-project-associated-documents/(key)

Example URI

PUT /excon/api/v1/excon-project-associated-documents/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "exconProject.projectId": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "assocDocTypeCode": "(val)",
  "projectAssocDocId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Associated Documents
PUT/excon/api/v1/excon-project-associated-documents/

Example URI

PUT /excon/api/v1/excon-project-associated-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Associated Documents
PATCH/excon/api/v1/excon-project-associated-documents/(key)

Example URI

PATCH /excon/api/v1/excon-project-associated-documents/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "exconProject.projectId": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "assocDocTypeCode": "(val)",
  "projectAssocDocId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Associated Documents
POST/excon/api/v1/excon-project-associated-documents/

Example URI

POST /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "exconProject.projectId": "(val)",
  "assocDocNumber": "(val)",
  "assocDocTitle": "(val)",
  "assocDocTypeCode": "(val)",
  "projectAssocDocId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Associated Documents
POST/excon/api/v1/excon-project-associated-documents/

Example URI

POST /excon/api/v1/excon-project-associated-documents/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "assocDocNumber": "(val)",
    "assocDocTitle": "(val)",
    "assocDocTypeCode": "(val)",
    "projectAssocDocId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Associated Documents by Key
DELETE/excon/api/v1/excon-project-associated-documents/(key)

Example URI

DELETE /excon/api/v1/excon-project-associated-documents/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Associated Documents
DELETE/excon/api/v1/excon-project-associated-documents/

Example URI

DELETE /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Excon Project Associated Documents with Matching
DELETE/excon/api/v1/excon-project-associated-documents/

Example URI

DELETE /excon/api/v1/excon-project-associated-documents/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

exconProject.projectId
string (optional) 
assocDocNumber
string (optional) 

Associated Document Identifier. Maximum length is 12. Validating pattern is .*.

assocDocTitle
string (optional) 

Associated Document Title. Maximum length is 200. Validating pattern is .*.

assocDocTypeCode
string (optional) 

Associated Document Type Code. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.

projectAssocDocId
string (optional) 

Export Control Associated Document ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Excon Project Attachment Types

Get Excon Project Attachment Types by Key
GET/excon/api/v1/excon-project-attachment-types/(key)

Example URI

GET /excon/api/v1/excon-project-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "description": "(val)",
  "projectAttachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Attachment Types
GET/excon/api/v1/excon-project-attachment-types/

Example URI

GET /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Attachment Types with Filtering
GET/excon/api/v1/excon-project-attachment-types/

Example URI

GET /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

projectAttachmentTypeCode
string (optional) 

Export Control Project Attachment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Attachment Types
GET/excon/api/v1/excon-project-attachment-types/

Example URI

GET /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "description",
    "projectAttachmentTypeCode"
  ],
  "primaryKey": "projectAttachmentTypeCode"
}

Get Blueprint API specification for Excon Project Attachment Types
GET/excon/api/v1/excon-project-attachment-types/

Example URI

GET /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Attachment Types.md"
transfer-encoding: chunked

Update Excon Project Attachment Types
PUT/excon/api/v1/excon-project-attachment-types/(key)

Example URI

PUT /excon/api/v1/excon-project-attachment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "description": "(val)",
  "projectAttachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Attachment Types
PUT/excon/api/v1/excon-project-attachment-types/

Example URI

PUT /excon/api/v1/excon-project-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Attachment Types
PATCH/excon/api/v1/excon-project-attachment-types/(key)

Example URI

PATCH /excon/api/v1/excon-project-attachment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "description": "(val)",
  "projectAttachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Attachment Types
POST/excon/api/v1/excon-project-attachment-types/

Example URI

POST /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "description": "(val)",
  "projectAttachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Attachment Types
POST/excon/api/v1/excon-project-attachment-types/

Example URI

POST /excon/api/v1/excon-project-attachment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectAttachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Attachment Types by Key
DELETE/excon/api/v1/excon-project-attachment-types/(key)

Example URI

DELETE /excon/api/v1/excon-project-attachment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Attachment Types
DELETE/excon/api/v1/excon-project-attachment-types/

Example URI

DELETE /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Excon Project Attachment Types with Matching
DELETE/excon/api/v1/excon-project-attachment-types/

Example URI

DELETE /excon/api/v1/excon-project-attachment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

projectAttachmentTypeCode
string (optional) 

Export Control Project Attachment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Excon Project Attachments

Get Excon Project Attachments by Key
GET/excon/api/v1/excon-project-attachments/(key)

Example URI

GET /excon/api/v1/excon-project-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "attachDate": "(val)",
  "attachUser": "(val)",
  "description": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Attachments
GET/excon/api/v1/excon-project-attachments/

Example URI

GET /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Attachments with Filtering
GET/excon/api/v1/excon-project-attachments/

Example URI

GET /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

attachDate
string (optional) 
attachUser
string (optional) 
description
string (optional) 

Description. Validating pattern is .*.

documentId
string (optional) 

Document ID. Maximum length is 4. Validating pattern is ^[0-9]*$.

fileId
string (optional) 

File Id. Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.

projectAttachmentId
string (optional) 

Export Control Attachment ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

projectId
string (optional) 
projectNumber
string (optional) 
sequenceNumber
string (optional) 
typeCode
string (optional) 

Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Attachments
GET/excon/api/v1/excon-project-attachments/

Example URI

GET /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "attachDate",
    "attachUser",
    "description",
    "documentId",
    "fileId",
    "projectAttachmentId",
    "projectId",
    "projectNumber",
    "sequenceNumber",
    "typeCode"
  ],
  "primaryKey": "projectAttachmentId"
}

Get Blueprint API specification for Excon Project Attachments
GET/excon/api/v1/excon-project-attachments/

Example URI

GET /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Attachments.md"
transfer-encoding: chunked

Update Excon Project Attachments
PUT/excon/api/v1/excon-project-attachments/(key)

Example URI

PUT /excon/api/v1/excon-project-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachDate": "(val)",
  "attachUser": "(val)",
  "description": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Attachments
PUT/excon/api/v1/excon-project-attachments/

Example URI

PUT /excon/api/v1/excon-project-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Attachments
PATCH/excon/api/v1/excon-project-attachments/(key)

Example URI

PATCH /excon/api/v1/excon-project-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "attachDate": "(val)",
  "attachUser": "(val)",
  "description": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Attachments
POST/excon/api/v1/excon-project-attachments/

Example URI

POST /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "attachDate": "(val)",
  "attachUser": "(val)",
  "description": "(val)",
  "documentId": "(val)",
  "fileId": "(val)",
  "projectAttachmentId": "(val)",
  "projectId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "typeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Attachments
POST/excon/api/v1/excon-project-attachments/

Example URI

POST /excon/api/v1/excon-project-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachDate": "(val)",
    "attachUser": "(val)",
    "description": "(val)",
    "documentId": "(val)",
    "fileId": "(val)",
    "projectAttachmentId": "(val)",
    "projectId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "typeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Attachments by Key
DELETE/excon/api/v1/excon-project-attachments/(key)

Example URI

DELETE /excon/api/v1/excon-project-attachments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Attachments
DELETE/excon/api/v1/excon-project-attachments/

Example URI

DELETE /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Excon Project Attachments with Matching
DELETE/excon/api/v1/excon-project-attachments/

Example URI

DELETE /excon/api/v1/excon-project-attachments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

attachDate
string (optional) 
attachUser
string (optional) 
description
string (optional) 

Description. Validating pattern is .*.

documentId
string (optional) 

Document ID. Maximum length is 4. Validating pattern is ^[0-9]*$.

fileId
string (optional) 

File Id. Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.

projectAttachmentId
string (optional) 

Export Control Attachment ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

projectId
string (optional) 
projectNumber
string (optional) 
sequenceNumber
string (optional) 
typeCode
string (optional) 

Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Excon Project Comment Types

Get Excon Project Comment Types by Key
GET/excon/api/v1/excon-project-comment-types/(key)

Example URI

GET /excon/api/v1/excon-project-comment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "description": "(val)",
  "projectCommentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Comment Types
GET/excon/api/v1/excon-project-comment-types/

Example URI

GET /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Comment Types with Filtering
GET/excon/api/v1/excon-project-comment-types/

Example URI

GET /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

projectCommentTypeCode
string (optional) 

Export Control Project Comment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Comment Types
GET/excon/api/v1/excon-project-comment-types/

Example URI

GET /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "description",
    "projectCommentTypeCode"
  ],
  "primaryKey": "projectCommentTypeCode"
}

Get Blueprint API specification for Excon Project Comment Types
GET/excon/api/v1/excon-project-comment-types/

Example URI

GET /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Comment Types.md"
transfer-encoding: chunked

Update Excon Project Comment Types
PUT/excon/api/v1/excon-project-comment-types/(key)

Example URI

PUT /excon/api/v1/excon-project-comment-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "description": "(val)",
  "projectCommentTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Comment Types
PUT/excon/api/v1/excon-project-comment-types/

Example URI

PUT /excon/api/v1/excon-project-comment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Comment Types
PATCH/excon/api/v1/excon-project-comment-types/(key)

Example URI

PATCH /excon/api/v1/excon-project-comment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "description": "(val)",
  "projectCommentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Comment Types
POST/excon/api/v1/excon-project-comment-types/

Example URI

POST /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "description": "(val)",
  "projectCommentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Comment Types
POST/excon/api/v1/excon-project-comment-types/

Example URI

POST /excon/api/v1/excon-project-comment-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "description": "(val)",
    "projectCommentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Comment Types by Key
DELETE/excon/api/v1/excon-project-comment-types/(key)

Example URI

DELETE /excon/api/v1/excon-project-comment-types/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Comment Types
DELETE/excon/api/v1/excon-project-comment-types/

Example URI

DELETE /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Excon Project Comment Types with Matching
DELETE/excon/api/v1/excon-project-comment-types/

Example URI

DELETE /excon/api/v1/excon-project-comment-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

projectCommentTypeCode
string (optional) 

Export Control Project Comment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Excon Project Comments

Get Excon Project Comments by Key
GET/excon/api/v1/excon-project-comments/(key)

Example URI

GET /excon/api/v1/excon-project-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "exconProject.projectId": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Comments
GET/excon/api/v1/excon-project-comments/

Example URI

GET /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Comments with Filtering
GET/excon/api/v1/excon-project-comments/

Example URI

GET /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

exconProject.projectId
string (optional) 
commentAuthor
string (optional) 

The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

commentDate
string (optional) 

The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

commentTypeCode
string (optional) 

Comment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

comments
string (optional) 

Comments. Validating pattern is .*.

projectCommentId
string (optional) 

Export Control Comment Project ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Comments
GET/excon/api/v1/excon-project-comments/

Example URI

GET /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "exconProject.projectId",
    "commentAuthor",
    "commentDate",
    "commentTypeCode",
    "comments",
    "projectCommentId",
    "projectNumber",
    "sequenceNumber"
  ],
  "primaryKey": "projectCommentId"
}

Get Blueprint API specification for Excon Project Comments
GET/excon/api/v1/excon-project-comments/

Example URI

GET /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Comments.md"
transfer-encoding: chunked

Update Excon Project Comments
PUT/excon/api/v1/excon-project-comments/(key)

Example URI

PUT /excon/api/v1/excon-project-comments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "exconProject.projectId": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Excon Project Comments
PUT/excon/api/v1/excon-project-comments/

Example URI

PUT /excon/api/v1/excon-project-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Excon Project Comments
PATCH/excon/api/v1/excon-project-comments/(key)

Example URI

PATCH /excon/api/v1/excon-project-comments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the update

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Body
{
  "exconProject.projectId": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Excon Project Comments
POST/excon/api/v1/excon-project-comments/

Example URI

POST /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the insertion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  201
HideShow
Body
{
  "exconProject.projectId": "(val)",
  "commentAuthor": "(val)",
  "commentDate": "(val)",
  "commentTypeCode": "(val)",
  "comments": "(val)",
  "projectCommentId": "(val)",
  "projectNumber": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Excon Project Comments
POST/excon/api/v1/excon-project-comments/

Example URI

POST /excon/api/v1/excon-project-comments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "exconProject.projectId": "(val)",
    "commentAuthor": "(val)",
    "commentDate": "(val)",
    "commentTypeCode": "(val)",
    "comments": "(val)",
    "projectCommentId": "(val)",
    "projectNumber": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Excon Project Comments by Key
DELETE/excon/api/v1/excon-project-comments/(key)

Example URI

DELETE /excon/api/v1/excon-project-comments/(key)
URI Parameters
HideShow
createMaintenanceDocument
string (required) 

if true, will create a maintenance document for the deletion

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Excon Project Comments
DELETE/excon/api/v1/excon-project-comments/

Example URI

DELETE /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Delete All Excon Project Comments with Matching
DELETE/excon/api/v1/excon-project-comments/

Example URI

DELETE /excon/api/v1/excon-project-comments/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

exconProject.projectId
string (optional) 
commentAuthor
string (optional) 

The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.

commentDate
string (optional) 

The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.

commentTypeCode
string (optional) 

Comment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.

comments
string (optional) 

Comments. Validating pattern is .*.

projectCommentId
string (optional) 

Export Control Comment Project ID. Maximum length is 22. Validating pattern is ^[0-9]*$.

projectNumber
string (optional) 
sequenceNumber
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204
HideShow
Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total

Excon Project Content Types

Get Excon Project Content Types by Key
GET/excon/api/v1/excon-project-content-types/(key)

Example URI

GET /excon/api/v1/excon-project-content-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "contentTypeCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Excon Project Content Types
GET/excon/api/v1/excon-project-content-types/

Example URI

GET /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Excon Project Content Types with Filtering
GET/excon/api/v1/excon-project-content-types/

Example URI

GET /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
_startIndex
string (optional) 

The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.

_limit
string (optional) 

The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.

contentTypeCode
string (optional) 

Export Control Project Content Type Code. Maximum length is 5. Validating pattern is ^[A-Za-z0-9]*$.

description
string (optional) 

Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in total
Body
[
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "contentTypeCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Excon Project Content Types
GET/excon/api/v1/excon-project-content-types/

Example URI

GET /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "contentTypeCode",
    "description"
  ],
  "primaryKey": "contentTypeCode"
}

Get Blueprint API specification for Excon Project Content Types
GET/excon/api/v1/excon-project-content-types/

Example URI

GET /excon/api/v1/excon-project-content-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
[...]
